Bug 1274691 - AssetMgmt: Releasing project from master branch breaks Process Instances perspective
AssetMgmt: Releasing project from master branch breaks Process Instances pers...
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity urgent
: CR1
: 6.2.0
Assigned To: manstis
Jiri Locker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-23 07:41 EDT by Jiri Locker
Modified: 2017-12-07 18:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error dialog in Process Instances perspective (12.72 KB, image/png)
2015-10-23 07:41 EDT, Jiri Locker
no flags Details

  None (edit)
Description Jiri Locker 2015-10-23 07:41:46 EDT
Created attachment 1085818 [details]
Error dialog in Process Instances perspective

Description of problem:
It is not allowed to release managed project from a branch whose name doesn't start with "release". This is probably covered by a rule evaluated during release process. However it is possible to submit release dialog with a non-release branch as validation is not performed at this point. If that happens, business central starts to log error messages (in server.log) in an infinite loop. After switching to Project Instances perspective, this manifests by showing error dialogs (also in an infinite loop) so the perspective is totally blocked.

Version-Release number of selected component (if applicable):
6.2.0.ER4

How reproducible:
***With asset management enabled.***

Steps to Reproduce:
1. Create a managed repository with a single project.
2. Go to Authoring, select the repository and project.
3. Check that master branch is active (should be by default).
4. Open Repository -> Repository Structure.
5. Click Release button, click Ok without changing any value.

Actual results:
* Error messages in server log:
> 13:10:30,556 ERROR [AssetMgmt] (http-localhost.localdomain/127.0.0.1:8080-5)
> Not valid for release as branch to release from does not start with release -
> given name is master

* Error dialogs in Process Instances perspective.

Expected results:
The process error should be handled in a way that doesn't break Process instances perspective.

Additional info:
Comment 1 Mauricio Salatino 2015-11-04 09:02:32 EST
Pull request submitted https://github.com/droolsjbpm/guvnor/pull/178
Now the checks for releasing a branch are added to the view.
Comment 2 Jiri Locker 2015-11-18 05:00:32 EST
https://github.com/droolsjbpm/guvnor/commit/e9fff1e70f7cb2d6cabba918b68a61507c91b6bc

Fixed. Release form validation now prevents releasing from any branch that doesn't have "release" prefix.
Comment 3 Bugzilla account termination 2017-12-07 18:38:10 EST
Employee 'msalatin@redhat.com' has left the company.

Note You need to log in before you can comment on or make changes to this bug.